#include <SoftwareServo.h>

const int SERVO_PIN = 1;
const int TRIGGER_PIN = 3;

SoftwareServo myServo;
int trigger = 0;
int active = 0;

void setup(){
  pinMode(TRIGGER_PIN, INPUT);
  
  myServo.attach(SERVO_PIN);
  delay(200);

  // move to startin position
  myServo.write(150);
}

void loop() {
    trigger = digitalRead(TRIGGER_PIN);
    if(trigger == HIGH && !active) {
      active = 1;

      // sweep the arm
      for(int pos = 150; pos > 90; pos--) {
        myServo.write(pos);
        delay(15);
        SoftwareServo::refresh();
      }

      // wait for interactions
      delay(500);

      // return to starting position
      for(int pos = 90; pos < 150; pos++){
        myServo.write(pos);
        delay(10);
        SoftwareServo::refresh();
      }
      active = 0;
    }
}

